#include <States/GameState/GameContext.h>

GameContext GameContext::clone() const {
    GameContext new_game_context;
    new_game_context.pacman = pacman;
    new_game_context.state = state;
    for (const auto& obj : static_objects)
        new_game_context.static_objects.push_back(obj->clone());
    for (const auto& obj : dynamic_objects)
        new_game_context.dynamic_objects.push_back(obj->clone());
    return new_game_context;
}
